
set( artdaq_mfextensions_VERSION 1.03.08a )
set( artdaq_mfextensions_UPS_VERSION v1_03_08a )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( messagefacility v1_14_00 )
find_ups_product( cetlib_except v1_00_00 )
find_ups_product( cetlib v2_00_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp v2_17_00 )
find_ups_product( python  )
  cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
find_ups_product( hep_concurrency  )
find_ups_product( cppunit  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
set(MFEXTENSIONS "$ENV{ARTDAQ_MFEXTENSIONS_LIB}/libMFExtensions.so")
set(MFRECEIVERS "$ENV{ARTDAQ_MFEXTENSIONS_LIB}/libMFReceivers.so")
set(MFEXTENSIONS_RECEIVERS_UDP_RECEIVER "$ENV{ARTDAQ_MFEXTENSIONS_LIB}/libmfextensions_Receivers_UDP_receiver.so")
set(MFEXTENSIONS_RECEIVERS_LOGREADER_RECEIVER "$ENV{ARTDAQ_MFEXTENSIONS_LIB}/libmfextensions_Receivers_LogReader_receiver.so")
set(CURL_SEND_MESSAGE "$ENV{ARTDAQ_MFEXTENSIONS_LIB}/libcurl_send_message.so")
set(MFEXTENSIONS_DESTINATIONS_SMTP_MFPLUGIN "$ENV{ARTDAQ_MFEXTENSIONS_LIB}/libmfextensions_Destinations_SMTP_mfPlugin.so")
set(MFEXTENSIONS_DESTINATIONS_UDP_MFPLUGIN "$ENV{ARTDAQ_MFEXTENSIONS_LIB}/libmfextensions_Destinations_UDP_mfPlugin.so")
set(MFEXTENSIONS_DESTINATIONS_OTS_MFPLUGIN "$ENV{ARTDAQ_MFEXTENSIONS_LIB}/libmfextensions_Destinations_OTS_mfPlugin.so")
set(MFEXTENSIONS_DESTINATIONS_TRACE_MFPLUGIN "$ENV{ARTDAQ_MFEXTENSIONS_LIB}/libmfextensions_Destinations_TRACE_mfPlugin.so")
set(MFEXTENSIONS_DESTINATIONS_FRIENDLY_MFPLUGIN "$ENV{ARTDAQ_MFEXTENSIONS_LIB}/libmfextensions_Destinations_Friendly_mfPlugin.so")
set(MFEXTENSIONS_DESTINATIONS_MULTIFILE_MFPLUGIN "$ENV{ARTDAQ_MFEXTENSIONS_LIB}/libmfextensions_Destinations_MultiFile_mfPlugin.so")
set(MFEXTENSIONS_DESTINATIONS_ANSI_MFPLUGIN "$ENV{ARTDAQ_MFEXTENSIONS_LIB}/libmfextensions_Destinations_ANSI_mfPlugin.so")
  include_directories ( "$ENV{ARTDAQ_MFEXTENSIONS_INC}" )

check_required_components(artdaq_mfextensions)

